<?php 

// +------------------------------------------------------------------+
// | Package Information                                              |
// +------------------------------------------------------------------+

/**
 * @package     EuropaCartWidgetCats
 * @copyright   Copyright 1999-Present Kryptronic, Inc.  All rights reserved.
 * @link        http://www.kryptronic.com
 * @license     GNU/GPL
*/

// +------------------------------------------------------------------+
// | Package                                                          |
// +------------------------------------------------------------------+

// +--
// | No direct access.
// +--

defined('_JEXEC') or die('Restricted access');

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class modEuropaCartWidgetCatsHelper {

// +------------------------------------------------------------------+
// | Function: exec                                                   |
// +------------------------------------------------------------------+

function exec () {

// +--
// | This function handles an import of the necessary XHTML and parses
// | it for Joomla!.
// +--

$EuropaCartSkinWidget = 'ecom.skinwidget_categories';

// +--
// | Load the EuropaCartCommon class from the EuropaCart_ObjectCache
// | so we can access common libraries.
// +--

global $EuropaCart_ObjectCache;

$EuropaCartCommon =& $EuropaCart_ObjectCache['EuropaCartCommon'];

if (empty($EuropaCartCommon)) {return '';}

// +--
// | Get the output from the EuropaCart connector.
// +--

$result = $EuropaCartCommon->getSkinWidgets();

// +--
// | Return the output.
// +--

if ($result['status'] == 'ERROR') {

    return '';

} else {

     $skinwidgetid = $EuropaCartSkinWidget;

     if (empty($result['response'][$skinwidgetid])) {

          return '';

     } else {

          $response = $result['response'][$skinwidgetid];
          $response = @base64_decode($response);

          return $response;

     } // End of if statement.

} // End of if statement.

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>